Skip to main content
Fetch all invoices
curl --request GET \
  --url https://api.cf.ovrsea.com/v1/invoices
import requests

url = "https://api.cf.ovrsea.com/v1/invoices"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.cf.ovrsea.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "reference": "CDEF - 0342/7055 2022",
    "number": "FAC2022-9567",
    "ovrsea_shipment_id": "CDEF",
    "type": "invoice",
    "sent_date": "2021-09-20T10:02:09+01:00",
    "due_date": "2021-10-11",
    "lines": [
      {
        "description": "IMO Surcharge",
        "price": {
          "amount": 150357.99,
          "currency": "USD"
        },
        "quantity": {
          "value": 350.25
        },
        "unit_rate": {
          "amount": 150357.99,
          "currency": "USD"
        },
        "vatRate": 20
      }
    ],
    "usd_to_eur_rate": 0.82
  }
]
{}

Query Parameters

skip
integer
default:0
take
integer
default:10
Required range: x <= 100

Response

Returns all invoices.

reference
string
Example:

"CDEF - 0342/7055 2022"

number
string
Example:

"FAC2022-9567"

ovrsea_shipment_id
string
Example:

"CDEF"

type
enum<string>
default:invoice
Available options:
invoice,
credit_note
status
enum<string>
Available options:
available,
due,
in_modification,
litigious,
new,
paid,
partially_paid,
write_off
sent_date
string
Example:

"2021-09-20T10:02:09+01:00"

due_date
string
Example:

"2021-10-11"

lines
object[]
usd_to_eur_rate
number<float>
Example:

0.82